WelcomeMessageDisplayMode (Gradle API 8.11.1)

Package org.gradle.api.launcher.cli

## Enum WelcomeMessageDisplayMode

- java.lang.Object
- - java.lang.Enum<WelcomeMessageDisplayMode>
  - - org.gradle.api.launcher.cli.WelcomeMessageDisplayMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<WelcomeMessageDisplayMode>`

      @Incubating
      public enum WelcomeMessageDisplayMode
      extends java.lang.Enum<WelcomeMessageDisplayMode>

  The possible strategies for displaying a welcome message on the command line.
  Since:
    7.5

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NEVER` |
    `ONCE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static WelcomeMessageDisplayMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static WelcomeMessageDisplayMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ONCE

          public static final WelcomeMessageDisplayMode ONCE

    - #### NEVER

          public static final WelcomeMessageDisplayMode NEVER

  - ### Method Detail

    - #### values

          public static WelcomeMessageDisplayMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WelcomeMessageDisplayMode c : WelcomeMessageDisplayMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WelcomeMessageDisplayMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null